#include <iostream>
double ai[200000], pi[200000];
using namespace std;
int main()
{
    double trenutnaS = 0.0, rez = 0.0, trenutniRez = 0.0, p;
    int n, i, j;
    cin >> n;
    for (i = 0; i < n; i++)
    {
        cin >> ai[i] >> pi[i];
    }
    for (i=0; i < n; i++)
    
        for (j=i+1; j < n; j++)
        
            if (pi[i] < pi[j])
            {
                p = pi[i];
                pi[i] = pi[j];
                pi[j] = p;
                p = ai[i];
                ai[i] = ai[j];
                ai[j] = p;
            }
    p = 100;
    for (i = 0; i < n; i++)
    {
        trenutnaS += ai[i];
        trenutniRez = (double) ((trenutnaS * pi[i])/100.0);
        if (trenutniRez > rez)
        {
            rez = trenutniRez;
            p = pi[i];
        }
    }
    cout << fixed << showpoint << rez;
    return 0;
}